#!/usr/bin/env python3
#
#   Copyright 2016 - The Android Open Source Project
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

import unittest

from acts import logger
import os
import time


class ActsLoggerTest(unittest.TestCase):
    """Verifies code in acts.logger module.
    """

    def test_epoch_to_log_line_timestamp(self):
        os.environ['TZ'] = 'US/Pacific'
        time.tzset()
        actual_stamp = logger.epoch_to_log_line_timestamp(1469134262116)
        self.assertEqual("2016-07-21 13:51:02.116", actual_stamp)


if __name__ == "__main__":
    unittest.main()
